Package org.jbpm.process.audit

## Class VariableInstanceLog

- java.lang.Object
- - org.jbpm.process.audit.VariableInstanceLog

- All Implemented Interfaces:
    `Serializable`, `AuditEvent`, `org.kie.api.runtime.manager.audit.VariableInstanceLog`

      @Entity
      public class VariableInstanceLog
      extends Object
      implements Serializable, AuditEvent, org.kie.api.runtime.manager.audit.VariableInstanceLog

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableInstanceLog()` |
    `VariableInstanceLog​(long processInstanceId, String processId, String variableInstanceId, String variableId, String value, String oldValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Date` | `getDate()` |
    `String` | `getExternalId()` |
    `long` | `getId()` |
    `String` | `getOldValue()` |
    `String` | `getProcessId()` |
    `Long` | `getProcessInstanceId()` |
    `String` | `getValue()` |
    `String` | `getVariableId()` |
    `String` | `getVariableInstanceId()` |
    `int` | `hashCode()` |
    `void` | `setDate​(Date date)` |
    `void` | `setExternalId​(String domainId)` |
    `void` | `setId​(long id)` |
    `void` | `setOldValue​(String oldValue)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(long processInstanceId)` |
    `void` | `setValue​(String value)` |
    `void` | `setVariableId​(String variableId)` |
    `void` | `setVariableInstanceId​(String variableInstanceId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableInstanceLog

          public VariableInstanceLog()

    - #### VariableInstanceLog

          public VariableInstanceLog​(long processInstanceId,
                                     String processId,
                                     String variableInstanceId,
                                     String variableId,
                                     String value,
                                     String oldValue)

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId​(long id)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `AuditEvent`
      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(long processInstanceId)

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `AuditEvent`
      Specified by:
        `getProcessId` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setProcessId

          public void setProcessId​(String processId)

    - #### getVariableInstanceId

          public String getVariableInstanceId()

      Specified by:
        `getVariableInstanceId` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setVariableInstanceId

          public void setVariableInstanceId​(String variableInstanceId)

    - #### getVariableId

          public String getVariableId()

      Specified by:
        `getVariableId` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setVariableId

          public void setVariableId​(String variableId)

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setValue

          public void setValue​(String value)

    - #### getOldValue

          public String getOldValue()

      Specified by:
        `getOldValue` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setOldValue

          public void setOldValue​(String oldValue)

    - #### getDate

          public Date getDate()

      Specified by:
        `getDate` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setDate

          public void setDate​(Date date)

    - #### getExternalId

          public String getExternalId()

      Specified by:
        `getExternalId` in interface `AuditEvent`
      Specified by:
        `getExternalId` in interface `org.kie.api.runtime.manager.audit.VariableInstanceLog`

    - #### setExternalId

          public void setExternalId​(String domainId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`